Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.language.assembler.plugins
[Groovy] Class AssemblerLangPlugin

    java.lang.Object
      org.gradle.language.assembler.plugins.AssemblerLangPlugin

All Implemented Interfaces:
  Plugin

    @Incubating
    class AssemblerLangPlugin

Adds core Assembler language support.

- For any FunctionalSourceSet, adds a conventional AssemblerSourceSet called 'asm'.
- Establishes a convention for all AssemblerSourceSets so that sources are located in 'src//asm'.

Constructor Summary
`AssemblerLangPlugin(Instantiator instantiator)`

Method Summary
`void` | `apply(ProjectInternal project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### AssemblerLangPlugin

    @Inject
    AssemblerLangPlugin(Instantiator instantiator)

Method Detail

### apply

    void apply(ProjectInternal project)

Gradle API 1.10